##### basic_datagram_socket::bind (1 of 2 overloads)

Inherited from basic_socket.

Bind the socket to the given local endpoint.

    void bind(
        const endpoint_type & endpoint);

This function binds the socket to the specified endpoint on the local machine.

###### Parameters

endpoint

  An endpoint on the local machine to which the socket will be bound.

###### Exceptions

asio::system_error

  Thrown on failure.

###### Example

    asio::ip::tcp::socket socket(my_context);
    socket.open(asio::ip::tcp::v4());
    socket.bind(asio::ip::tcp::endpoint(
          asio::ip::tcp::v4(), 12345));